<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );}
/**
* ------------------------------------------------------------------------------------------------
* CheshAlo slider element map
* ------------------------------------------------------------------------------------------------
*/

if ( ! function_exists( 'cheshalo_get_vc_map_slider' ) ) {
	function cheshalo_get_vc_map_slider() {
		return array(
			'name'        => esc_html__( 'Slider', 'cheshalo' ),
			'base'        => 'cheshalo_slider',
			'category'    => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'CheshAlo theme slider', 'cheshalo' ),
			'icon'        => CHESHALO_ASSETS . '/images/vc-icon/slider.svg',
			'params'      => array(
				array(
					'type'       => 'cheshalo_dropdown',
					'heading'    => esc_html__( 'Slider', 'cheshalo' ),
					'param_name' => 'slider',
					'callback'   => 'cheshalo_get_sliders_for_vc',
				),
				array(
					'type'             => 'cheshalo_button_set',
					'heading'          => esc_html__( 'Synchronization', 'cheshalo' ),
					'param_name'       => 'carousel_sync',
					'value'            => array(
						esc_html__( 'Disabled', 'cheshalo' )  => '',
						esc_html__( 'As parent', 'cheshalo' ) => 'parent',
						esc_html__( 'As child', 'cheshalo' )  => 'child',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'textfield',
					'heading'          => esc_html__( 'ID', 'cheshalo' ),
					'param_name'       => 'sync_parent_id',
					'std'              => 'wd_' . uniqid(),
					'save_always'      => true,
					'wd_dependency'    => array(
						'element' => 'carousel_sync',
						'value'   => array( 'parent' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'textfield',
					'heading'          => esc_html__( 'ID', 'cheshalo' ),
					'param_name'       => 'sync_child_id',
					'wd_dependency'    => array(
						'element' => 'carousel_sync',
						'value'   => array( 'child' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'       => 'textfield',
					'heading'    => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint'       => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
				),
			),
		);
	}
}

if ( ! function_exists( 'cheshalo_get_sliders_for_vc' ) ) {
	function cheshalo_get_sliders_for_vc() {
		$args    = array(
			'taxonomy'   => 'cheshalo_slider',
			'hide_empty' => false,
		);
		$sliders = get_terms( $args );

		if ( is_wp_error( $sliders ) || empty( $sliders ) ) {
			return array();
		}

		$data = array();

		foreach ( $sliders as $slider ) {
			$data[ $slider->name ] = $slider->slug;
		}

		return $data;
	}
}
